<?php
require_once 'modules/admin/models/DashboardPlugin.php';

class PluginSupporttickets extends DashboardPlugin
{
    
    var $hasTab = false;
    var $hasPanel = true;
    var $name = "Tickets Awaiting Reply";
    var $description = "This allows you to view support tickets that are awaiting staff replies in the dashboard.";
    var $default = true;
    var $jsLibs = array('plugins/dashboard/supporttickets/PluginSupportTickets.js',
                       );


    function getTab()
    {
        return '';
    }
    
    function getPanel()
    {
        // Set the plugin template
        $this->tpl->define(array('supporttickets' => '../../plugins/dashboard/supporttickets/PluginSupporttickets.tpl'));
        
        // Parse and output the whole template
        $this->tpl->parse('supporttickets_out', 'supporttickets');
        return $this->tpl->fetch('supporttickets_out');
    }
}

?>
